<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstMCParticle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_m_c_particle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstMCParticle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeb4f7494b96702842b0dae5d53db65d8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">ConstMCParticle</a> ()</td></tr>
<tr class="memdesc:aeb4f7494b96702842b0dae5d53db65d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#aeb4f7494b96702842b0dae5d53db65d8">More...</a><br /></td></tr>
<tr class="separator:aeb4f7494b96702842b0dae5d53db65d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45d930464eb5c01e7f93b2fcca65d4a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ad45d930464eb5c01e7f93b2fcca65d4a">ConstMCParticle</a> (long long <a class="el" href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">pdg</a>, long long <a class="el" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">genstatus</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a>, float <a class="el" href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">charge</a>, float <a class="el" href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">mass</a>, float <a class="el" href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">time</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a>, bool <a class="el" href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">endpointSet</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a>)</td></tr>
<tr class="separator:ad45d930464eb5c01e7f93b2fcca65d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15baf545764d2a84be169f98181baf65"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a15baf545764d2a84be169f98181baf65">ConstMCParticle</a> (<a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a> *obj)</td></tr>
<tr class="memdesc:a15baf545764d2a84be169f98181baf65"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>  <a href="#a15baf545764d2a84be169f98181baf65">More...</a><br /></td></tr>
<tr class="separator:a15baf545764d2a84be169f98181baf65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab974d66af95fefd4e714fff37f75947b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ab974d66af95fefd4e714fff37f75947b">ConstMCParticle</a> (const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;other)</td></tr>
<tr class="memdesc:ab974d66af95fefd4e714fff37f75947b"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#ab974d66af95fefd4e714fff37f75947b">More...</a><br /></td></tr>
<tr class="separator:ab974d66af95fefd4e714fff37f75947b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae31e8110c6c3d7c4093073e5542fcf8b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ae31e8110c6c3d7c4093073e5542fcf8b">operator=</a> (const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;other)</td></tr>
<tr class="memdesc:ae31e8110c6c3d7c4093073e5542fcf8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#ae31e8110c6c3d7c4093073e5542fcf8b">More...</a><br /></td></tr>
<tr class="separator:ae31e8110c6c3d7c4093073e5542fcf8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1692fc2fda5ec2a38ba1f5df1a4b6b9f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a1692fc2fda5ec2a38ba1f5df1a4b6b9f">clone</a> () const</td></tr>
<tr class="memdesc:a1692fc2fda5ec2a38ba1f5df1a4b6b9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a1692fc2fda5ec2a38ba1f5df1a4b6b9f">More...</a><br /></td></tr>
<tr class="separator:a1692fc2fda5ec2a38ba1f5df1a4b6b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a031379b24cc1ee0faa0e12cc4c0fdd4c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a031379b24cc1ee0faa0e12cc4c0fdd4c">~ConstMCParticle</a> ()</td></tr>
<tr class="memdesc:a031379b24cc1ee0faa0e12cc4c0fdd4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a031379b24cc1ee0faa0e12cc4c0fdd4c">More...</a><br /></td></tr>
<tr class="separator:a031379b24cc1ee0faa0e12cc4c0fdd4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4feb82aabff484e7885c41fd4aae95fb"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">pdg</a> () const</td></tr>
<tr class="memdesc:a4feb82aabff484e7885c41fd4aae95fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The PDG code of the particle.  <a href="#a4feb82aabff484e7885c41fd4aae95fb">More...</a><br /></td></tr>
<tr class="separator:a4feb82aabff484e7885c41fd4aae95fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4628fb384b88d8b3774151c71351a794"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">genstatus</a> () const</td></tr>
<tr class="memdesc:a4628fb384b88d8b3774151c71351a794"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The status for particles as defined by the generator.  <a href="#a4628fb384b88d8b3774151c71351a794">More...</a><br /></td></tr>
<tr class="separator:a4628fb384b88d8b3774151c71351a794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73cc7419c5ea3547973964144351c844"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a> () const</td></tr>
<tr class="memdesc:a73cc7419c5ea3547973964144351c844"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The production vertex of the particle in [mm].  <a href="#a73cc7419c5ea3547973964144351c844">More...</a><br /></td></tr>
<tr class="separator:a73cc7419c5ea3547973964144351c844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe53b5eddec0edd690573d3cbc1f02e2"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#afe53b5eddec0edd690573d3cbc1f02e2">vertex</a> (size_t i) const</td></tr>
<tr class="memdesc:afe53b5eddec0edd690573d3cbc1f02e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the The production vertex of the particle in [mm].  <a href="#afe53b5eddec0edd690573d3cbc1f02e2">More...</a><br /></td></tr>
<tr class="separator:afe53b5eddec0edd690573d3cbc1f02e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa299cbcdaa5c92e75d2a5ce2b65e9725"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">charge</a> () const</td></tr>
<tr class="memdesc:aa299cbcdaa5c92e75d2a5ce2b65e9725"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The particle's charge.  <a href="#aa299cbcdaa5c92e75d2a5ce2b65e9725">More...</a><br /></td></tr>
<tr class="separator:aa299cbcdaa5c92e75d2a5ce2b65e9725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7f3b212099a69437621d8c2faef2d0"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">mass</a> () const</td></tr>
<tr class="memdesc:a1d7f3b212099a69437621d8c2faef2d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The mass of the particle in [GeV].  <a href="#a1d7f3b212099a69437621d8c2faef2d0">More...</a><br /></td></tr>
<tr class="separator:a1d7f3b212099a69437621d8c2faef2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2583cac62bbc60d542d060622cc95129"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">time</a> () const</td></tr>
<tr class="memdesc:a2583cac62bbc60d542d060622cc95129"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or decays in flight from the simulator.  <a href="#a2583cac62bbc60d542d060622cc95129">More...</a><br /></td></tr>
<tr class="separator:a2583cac62bbc60d542d060622cc95129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac547ab39858dcd2785f1ac84bfbbd6a6"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a> () const</td></tr>
<tr class="memdesc:ac547ab39858dcd2785f1ac84bfbbd6a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The endpoint of the particle in [mm].  <a href="#ac547ab39858dcd2785f1ac84bfbbd6a6">More...</a><br /></td></tr>
<tr class="separator:ac547ab39858dcd2785f1ac84bfbbd6a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98c97ca6cdc5848e230d20fdf24d7453"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a98c97ca6cdc5848e230d20fdf24d7453">endpoint</a> (size_t i) const</td></tr>
<tr class="memdesc:a98c97ca6cdc5848e230d20fdf24d7453"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the The endpoint of the particle in [mm].  <a href="#a98c97ca6cdc5848e230d20fdf24d7453">More...</a><br /></td></tr>
<tr class="separator:a98c97ca6cdc5848e230d20fdf24d7453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad332400dde97d2d29ae52eeb873743ef"><td class="memItemLeft" align="right" valign="top">const bool &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">endpointSet</a> () const</td></tr>
<tr class="memdesc:ad332400dde97d2d29ae52eeb873743ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Whether the endpoint has been set.  <a href="#ad332400dde97d2d29ae52eeb873743ef">More...</a><br /></td></tr>
<tr class="separator:ad332400dde97d2d29ae52eeb873743ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3420511ce781246535a1ac6535d2ac46"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a> () const</td></tr>
<tr class="memdesc:a3420511ce781246535a1ac6535d2ac46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The particle's 3-momentum at the production vertex in [GeV].  <a href="#a3420511ce781246535a1ac6535d2ac46">More...</a><br /></td></tr>
<tr class="separator:a3420511ce781246535a1ac6535d2ac46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a491f8c4ae8c51ff149055f83ef8dd6cb"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a491f8c4ae8c51ff149055f83ef8dd6cb">momentum</a> (size_t i) const</td></tr>
<tr class="memdesc:a491f8c4ae8c51ff149055f83ef8dd6cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the The particle's 3-momentum at the production vertex in [GeV].  <a href="#a491f8c4ae8c51ff149055f83ef8dd6cb">More...</a><br /></td></tr>
<tr class="separator:a491f8c4ae8c51ff149055f83ef8dd6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4bc53b0380ca490499bce38831df724"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ae4bc53b0380ca490499bce38831df724">parents_size</a> () const</td></tr>
<tr class="separator:ae4bc53b0380ca490499bce38831df724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91bf17bdfbf05bc00e99977e31913bd8"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a91bf17bdfbf05bc00e99977e31913bd8">parents</a> (unsigned int) const</td></tr>
<tr class="separator:a91bf17bdfbf05bc00e99977e31913bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6406c977425be1337a20be48332e7f60"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a6406c977425be1337a20be48332e7f60">parents_begin</a> () const</td></tr>
<tr class="separator:a6406c977425be1337a20be48332e7f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292d4e96a48c391a5881c8e76c74e470"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a292d4e96a48c391a5881c8e76c74e470">parents_end</a> () const</td></tr>
<tr class="separator:a292d4e96a48c391a5881c8e76c74e470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cad5f17b8058c611a3d4b707f9ddfdd"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a3cad5f17b8058c611a3d4b707f9ddfdd">parents</a> () const</td></tr>
<tr class="separator:a3cad5f17b8058c611a3d4b707f9ddfdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724312bd83542265d495da576d140aba"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a724312bd83542265d495da576d140aba">daughters_size</a> () const</td></tr>
<tr class="separator:a724312bd83542265d495da576d140aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a938b4bc9d73729e5f27216044173113b"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a938b4bc9d73729e5f27216044173113b">daughters</a> (unsigned int) const</td></tr>
<tr class="separator:a938b4bc9d73729e5f27216044173113b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f61e2f7184f1fd5974d6efe9b7d672"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ad8f61e2f7184f1fd5974d6efe9b7d672">daughters_begin</a> () const</td></tr>
<tr class="separator:ad8f61e2f7184f1fd5974d6efe9b7d672"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af58d5f1331eb74418f38d29d4e728ce2"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#af58d5f1331eb74418f38d29d4e728ce2">daughters_end</a> () const</td></tr>
<tr class="separator:af58d5f1331eb74418f38d29d4e728ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86cbbfbb8bcde8217448994f9f5fe536"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a86cbbfbb8bcde8217448994f9f5fe536">daughters</a> () const</td></tr>
<tr class="separator:a86cbbfbb8bcde8217448994f9f5fe536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb67784fbe8d13024cca2793e225600b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#aeb67784fbe8d13024cca2793e225600b">isAvailable</a> () const</td></tr>
<tr class="memdesc:aeb67784fbe8d13024cca2793e225600b"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#aeb67784fbe8d13024cca2793e225600b">More...</a><br /></td></tr>
<tr class="separator:aeb67784fbe8d13024cca2793e225600b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbd98438e2d580b8e07174f98640e722"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#afbd98438e2d580b8e07174f98640e722">unlink</a> ()</td></tr>
<tr class="memdesc:afbd98438e2d580b8e07174f98640e722"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a> instance  <a href="#afbd98438e2d580b8e07174f98640e722">More...</a><br /></td></tr>
<tr class="separator:afbd98438e2d580b8e07174f98640e722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18654e81e19a7723fcb63ce120d0ae5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#af18654e81e19a7723fcb63ce120d0ae5">operator==</a> (const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;other) const</td></tr>
<tr class="separator:af18654e81e19a7723fcb63ce120d0ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d1920b10cbd7248d18bd23cde0f3271"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a3d1920b10cbd7248d18bd23cde0f3271">operator==</a> (const <a class="el" href="classeic_1_1_m_c_particle.html">MCParticle</a> &amp;other) const</td></tr>
<tr class="separator:a3d1920b10cbd7248d18bd23cde0f3271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34ca925ffb862a6b74c052ce16fb6002"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a34ca925ffb862a6b74c052ce16fb6002">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;other) const</td></tr>
<tr class="separator:a34ca925ffb862a6b74c052ce16fb6002"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c90550e4ec200155866d89bfbe77112"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">id</a> () const</td></tr>
<tr class="separator:a3c90550e4ec200155866d89bfbe77112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fe44b7d0335a7c9a038819d13de46c"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">getObjectID</a> () const</td></tr>
<tr class="separator:ad5fe44b7d0335a7c9a038819d13de46c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC MC <a class="el" href="classeic_1_1_particle.html">Particle</a> </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8h_source.html#l00026">26</a> of file <a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aeb4f7494b96702842b0dae5d53db65d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4f7494b96702842b0dae5d53db65d8">&#9670;&nbsp;</a></span>ConstMCParticle() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstMCParticle::ConstMCParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00016">16</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="ad45d930464eb5c01e7f93b2fcca65d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad45d930464eb5c01e7f93b2fcca65d4a">&#9670;&nbsp;</a></span>ConstMCParticle() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstMCParticle::ConstMCParticle </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>pdg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>genstatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>vertex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>charge</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>mass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>endpoint</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>endpointSet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>momentum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">20</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_data_8h_source.html#l00020">eic::MCParticleData::charge</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00058">charge()</a>, <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00023">eic::MCParticleData::endpoint</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00061">endpoint()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00024">eic::MCParticleData::endpointSet</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00063">endpointSet()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00018">eic::MCParticleData::genstatus</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00055">genstatus()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00021">eic::MCParticleData::mass</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00059">mass()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00025">eic::MCParticleData::momentum</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00064">momentum()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00017">eic::MCParticleData::pdg</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00054">pdg()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00022">eic::MCParticleData::time</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00060">time()</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00019">eic::MCParticleData::vertex</a>, and <a class="el" href="_m_c_particle_const_8cc_source.html#l00056">vertex()</a>.</p>

</div>
</div>
<a id="a15baf545764d2a84be169f98181baf65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15baf545764d2a84be169f98181baf65">&#9670;&nbsp;</a></span>ConstMCParticle() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstMCParticle::ConstMCParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00043">43</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="ab974d66af95fefd4e714fff37f75947b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab974d66af95fefd4e714fff37f75947b">&#9670;&nbsp;</a></span>ConstMCParticle() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstMCParticle::ConstMCParticle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00033">33</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="a031379b24cc1ee0faa0e12cc4c0fdd4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a031379b24cc1ee0faa0e12cc4c0fdd4c">&#9670;&nbsp;</a></span>~ConstMCParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstMCParticle::~ConstMCParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa299cbcdaa5c92e75d2a5ce2b65e9725"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa299cbcdaa5c92e75d2a5ce2b65e9725">&#9670;&nbsp;</a></span>charge()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstMCParticle::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The particle's charge. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_data_8h_source.html#l00020">eic::MCParticleData::charge</a>, and <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1692fc2fda5ec2a38ba1f5df1a4b6b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1692fc2fda5ec2a38ba1f5df1a4b6b9f">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> eic::ConstMCParticle::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00047">47</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="a938b4bc9d73729e5f27216044173113b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a938b4bc9d73729e5f27216044173113b">&#9670;&nbsp;</a></span>daughters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> eic::ConstMCParticle::daughters </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00117">117</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00029">eic::MCParticleData::daughters_begin</a>, <a class="el" href="_m_c_particle_const_8cc_source.html#l00113">daughters_size()</a>, and <a class="el" href="_m_c_particle_obj_8h_source.html#l00034">eic::MCParticleObj::m_daughters</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a86cbbfbb8bcde8217448994f9f5fe536"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86cbbfbb8bcde8217448994f9f5fe536">&#9670;&nbsp;</a></span>daughters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt; eic::ConstMCParticle::daughters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00124">124</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00029">eic::MCParticleData::daughters_begin</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00030">eic::MCParticleData::daughters_end</a>, and <a class="el" href="_m_c_particle_obj_8h_source.html#l00034">eic::MCParticleObj::m_daughters</a>.</p>

</div>
</div>
<a id="ad8f61e2f7184f1fd5974d6efe9b7d672"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f61e2f7184f1fd5974d6efe9b7d672">&#9670;&nbsp;</a></span>daughters_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator eic::ConstMCParticle::daughters_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00101">101</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00029">eic::MCParticleData::daughters_begin</a>, and <a class="el" href="_m_c_particle_obj_8h_source.html#l00034">eic::MCParticleObj::m_daughters</a>.</p>

</div>
</div>
<a id="af58d5f1331eb74418f38d29d4e728ce2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af58d5f1331eb74418f38d29d4e728ce2">&#9670;&nbsp;</a></span>daughters_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator eic::ConstMCParticle::daughters_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00107">107</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00030">eic::MCParticleData::daughters_end</a>, and <a class="el" href="_m_c_particle_obj_8h_source.html#l00034">eic::MCParticleObj::m_daughters</a>.</p>

</div>
</div>
<a id="a724312bd83542265d495da576d140aba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a724312bd83542265d495da576d140aba">&#9670;&nbsp;</a></span>daughters_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstMCParticle::daughters_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00113">113</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00029">eic::MCParticleData::daughters_begin</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00030">eic::MCParticleData::daughters_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00117">daughters()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ac547ab39858dcd2785f1ac84bfbbd6a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac547ab39858dcd2785f1ac84bfbbd6a6">&#9670;&nbsp;</a></span>endpoint() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstMCParticle::endpoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The endpoint of the particle in [mm]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00061">61</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00023">eic::MCParticleData::endpoint</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a98c97ca6cdc5848e230d20fdf24d7453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98c97ca6cdc5848e230d20fdf24d7453">&#9670;&nbsp;</a></span>endpoint() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstMCParticle::endpoint </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the The endpoint of the particle in [mm]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00062">62</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00023">eic::MCParticleData::endpoint</a>.</p>

</div>
</div>
<a id="ad332400dde97d2d29ae52eeb873743ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad332400dde97d2d29ae52eeb873743ef">&#9670;&nbsp;</a></span>endpointSet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const bool &amp; eic::ConstMCParticle::endpointSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Whether the endpoint has been set. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00063">63</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00024">eic::MCParticleData::endpointSet</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4628fb384b88d8b3774151c71351a794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4628fb384b88d8b3774151c71351a794">&#9670;&nbsp;</a></span>genstatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstMCParticle::genstatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The status for particles as defined by the generator. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00018">eic::MCParticleData::genstatus</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad5fe44b7d0335a7c9a038819d13de46c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fe44b7d0335a7c9a038819d13de46c">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstMCParticle::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00143">143</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8h_source.html#l00110">id()</a>.</p>

</div>
</div>
<a id="a3c90550e4ec200155866d89bfbe77112"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c90550e4ec200155866d89bfbe77112">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstMCParticle::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8h_source.html#l00110">110</a> of file <a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_const_8cc_source.html#l00143">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aeb67784fbe8d13024cca2793e225600b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb67784fbe8d13024cca2793e225600b">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstMCParticle::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00136">136</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="a1d7f3b212099a69437621d8c2faef2d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7f3b212099a69437621d8c2faef2d0">&#9670;&nbsp;</a></span>mass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstMCParticle::mass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The mass of the particle in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00021">eic::MCParticleData::mass</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a3420511ce781246535a1ac6535d2ac46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3420511ce781246535a1ac6535d2ac46">&#9670;&nbsp;</a></span>momentum() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstMCParticle::momentum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The particle's 3-momentum at the production vertex in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00064">64</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00025">eic::MCParticleData::momentum</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a491f8c4ae8c51ff149055f83ef8dd6cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a491f8c4ae8c51ff149055f83ef8dd6cb">&#9670;&nbsp;</a></span>momentum() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstMCParticle::momentum </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the The particle's 3-momentum at the production vertex in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00065">65</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00025">eic::MCParticleData::momentum</a>.</p>

</div>
</div>
<a id="a34ca925ffb862a6b74c052ce16fb6002"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34ca925ffb862a6b74c052ce16fb6002">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstMCParticle::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8h_source.html#l00108">108</a> of file <a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>.</p>

</div>
</div>
<a id="ae31e8110c6c3d7c4093073e5542fcf8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae31e8110c6c3d7c4093073e5542fcf8b">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp; eic::ConstMCParticle::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00037">37</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="af18654e81e19a7723fcb63ce120d0ae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af18654e81e19a7723fcb63ce120d0ae5">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstMCParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8h_source.html#l00104">104</a> of file <a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>.</p>

</div>
</div>
<a id="a3d1920b10cbd7248d18bd23cde0f3271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d1920b10cbd7248d18bd23cde0f3271">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstMCParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_m_c_particle.html">MCParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00150">150</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

</div>
</div>
<a id="a91bf17bdfbf05bc00e99977e31913bd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91bf17bdfbf05bc00e99977e31913bd8">&#9670;&nbsp;</a></span>parents() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> eic::ConstMCParticle::parents </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00085">85</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_obj_8h_source.html#l00033">eic::MCParticleObj::m_parents</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00027">eic::MCParticleData::parents_begin</a>, and <a class="el" href="_m_c_particle_const_8cc_source.html#l00081">parents_size()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a3cad5f17b8058c611a3d4b707f9ddfdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cad5f17b8058c611a3d4b707f9ddfdd">&#9670;&nbsp;</a></span>parents() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt; eic::ConstMCParticle::parents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00092">92</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_obj_8h_source.html#l00033">eic::MCParticleObj::m_parents</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00027">eic::MCParticleData::parents_begin</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00028">eic::MCParticleData::parents_end</a>.</p>

</div>
</div>
<a id="a6406c977425be1337a20be48332e7f60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6406c977425be1337a20be48332e7f60">&#9670;&nbsp;</a></span>parents_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator eic::ConstMCParticle::parents_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00069">69</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_obj_8h_source.html#l00033">eic::MCParticleObj::m_parents</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00027">eic::MCParticleData::parents_begin</a>.</p>

</div>
</div>
<a id="a292d4e96a48c391a5881c8e76c74e470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a292d4e96a48c391a5881c8e76c74e470">&#9670;&nbsp;</a></span>parents_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> &gt;::const_iterator eic::ConstMCParticle::parents_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00075">75</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_obj_8h_source.html#l00033">eic::MCParticleObj::m_parents</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00028">eic::MCParticleData::parents_end</a>.</p>

</div>
</div>
<a id="ae4bc53b0380ca490499bce38831df724"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4bc53b0380ca490499bce38831df724">&#9670;&nbsp;</a></span>parents_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstMCParticle::parents_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00081">81</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, <a class="el" href="_m_c_particle_data_8h_source.html#l00027">eic::MCParticleData::parents_begin</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00028">eic::MCParticleData::parents_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>, and <a class="el" href="_m_c_particle_const_8cc_source.html#l00085">parents()</a>.</p>

</div>
</div>
<a id="a4feb82aabff484e7885c41fd4aae95fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4feb82aabff484e7885c41fd4aae95fb">&#9670;&nbsp;</a></span>pdg()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstMCParticle::pdg </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The PDG code of the particle. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00017">eic::MCParticleData::pdg</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a2583cac62bbc60d542d060622cc95129"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2583cac62bbc60d542d060622cc95129">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstMCParticle::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or decays in flight from the simulator. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00060">60</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00022">eic::MCParticleData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="afbd98438e2d580b8e07174f98640e722"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbd98438e2d580b8e07174f98640e722">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstMCParticle::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8h_source.html#l00102">102</a> of file <a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a>.</p>

</div>
</div>
<a id="a73cc7419c5ea3547973964144351c844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73cc7419c5ea3547973964144351c844">&#9670;&nbsp;</a></span>vertex() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstMCParticle::vertex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The production vertex of the particle in [mm]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00019">eic::MCParticleData::vertex</a>.</p>

<p class="reference">Referenced by <a class="el" href="_m_c_particle_const_8cc_source.html#l00020">ConstMCParticle()</a>, and <a class="el" href="_m_c_particle_8cc_source.html#l00182">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="afe53b5eddec0edd690573d3cbc1f02e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe53b5eddec0edd690573d3cbc1f02e2">&#9670;&nbsp;</a></span>vertex() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstMCParticle::vertex </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the The production vertex of the particle in [mm]. </p>

<p class="definition">Definition at line <a class="el" href="_m_c_particle_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_m_c_particle_obj_8h_source.html#l00032">eic::MCParticleObj::data</a>, and <a class="el" href="_m_c_particle_data_8h_source.html#l00019">eic::MCParticleData::vertex</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_m_c_particle_const_8h_source.html">MCParticleConst.h</a></li>
<li>src/<a class="el" href="_m_c_particle_const_8cc_source.html">MCParticleConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
